curl --request GET \
--url https://api.dfns.io/wallets/{walletId}/offers \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "offer-3ugfu-o8duj-vqu770ckmg7ilhp4",
"orgId": "or-30tnh-itmjs-s235s5ontr3r23h2",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"network": "Algorand",
"kind": "Native",
"metadata": {
"asset": {
"symbol": "<string>",
"decimals": 123,
"verified": true,
"quotes": {
"EUR": 123,
"USD": 123
}
}
},
"txHash": "<string>",
"status": "Pending",
"from": "<string>",
"to": "<string>",
"value": "<string>",
"timestamp": "2023-04-14T20:41:28.715Z",
"expiresAt": "2023-04-14T20:41:28.715Z",
"memo": "<string>",
"settlementTransactionId": "tx-583hu-sp2p7-slvb9nqpa3hd8bus",
"dateSettled": "2023-04-14T20:41:28.715Z"
}
],
"nextPageToken": "<string>"
}List all offers received on a specific wallet.
curl --request GET \
--url https://api.dfns.io/wallets/{walletId}/offers \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "offer-3ugfu-o8duj-vqu770ckmg7ilhp4",
"orgId": "or-30tnh-itmjs-s235s5ontr3r23h2",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"network": "Algorand",
"kind": "Native",
"metadata": {
"asset": {
"symbol": "<string>",
"decimals": 123,
"verified": true,
"quotes": {
"EUR": 123,
"USD": 123
}
}
},
"txHash": "<string>",
"status": "Pending",
"from": "<string>",
"to": "<string>",
"value": "<string>",
"timestamp": "2023-04-14T20:41:28.715Z",
"expiresAt": "2023-04-14T20:41:28.715Z",
"memo": "<string>",
"settlementTransactionId": "tx-583hu-sp2p7-slvb9nqpa3hd8bus",
"dateSettled": "2023-04-14T20:41:28.715Z"
}
],
"nextPageToken": "<string>"
}CustomerEmployee)EndUser)Wallets:Offers:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Wallet id.
1 - 64Maximum number of items to return.
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
1Was this page helpful?